Subject: [dhcwg] Reminder - WGLC for draft-ietf-dhc-access-network-identifier-02 - respond by April 27, 2014

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 21 Apr 2014 13:27:49 +0000

Friendly reminder regarding this WGLC. There has been no feedback so far.

-          Bernie

From: Bernie Volz (volz)
Sent: Saturday, April 12, 2014 10:04 AM
To: [email-masked]
Subject: WGLC for draft-ietf-dhc-access-network-identifier-02 - respond by April 27, 2014

Folks, the authors of draft-ietf-dhc-access-network-identifier (http://tools.ietf.org/html/draft-ietf-dhc-access-network-identifier-02)

feel it's ready for work group last call. Please review this draft and indicate whether or not you feel it is ready to be published.

At the time of this writing, there is no IPR reported against this draft. Please see http://www.ietf.org/mail-archive/web/dhcwg/current/msg14143.html for a reminder regarding IPR disclosure requirements.

Tomek and I will evaluate consensus after April 27, 2014.

Thanks,

Bernie & Tomek

---

From: "Gaurav Halwasia (ghalwasi)" <[email-masked]>
Date: Tue, 22 Apr 2014 04:47:12 +0000

I have read/reviewed this document earlier and now. I support this document to move forward.

One small nit. Spelling of "Description" is incorrect in section 5 & 10.

Thanks
-Gaurav

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Monday, April 21, 2014 6:58 PM
To: [email-masked]
Subject: [dhcwg] Reminder - WGLC for draft-ietf-dhc-access-network-identifier-02 - respond by April 27, 2014

-          Bernie

From: Bernie Volz (volz)
Sent: Saturday, April 12, 2014 10:04 AM
To: [email-masked]<mailto:[email-masked]>
Subject: WGLC for draft-ietf-dhc-access-network-identifier-02 - respond by April 27, 2014

Thanks,

Bernie & Tomek

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 22 Apr 2014 06:19:38 +0000

I have reviewed this document. Overall, it targets to solve a real operation issue. I am not knowledge enough to review the requirements and contents for each access-network-identifier sub-option. So the below is only review from DHC protocol perspective and document writing.

The DHC protocol specific description in section 7, 8 and 9 are generally weak. In section 7, it is unclear when the option should be used, which sub-option should be used under what consideration, and what DHC message is involved. In section 8, how the relay agent include these option is intangibly described. Although RFC 3046, Relay Agent Information Option (82) was mentioned in Section 4, the associated behavior is missed. The RFC is not referred too. In Section 9, how server is behavior when receives these option is intangible. Particularly, the response in DHCPv6 message is wrong: the document state: “There is no requirement that a server return these options  and its data in a downstream DHCP message.” This is NOT compatible with existing DHC definitions, particularly, when the newly-defined option is added by relay agent. Some relevant quote list below:

In section 2.2, RFC3046, “DHCP servers claiming to support the Relay Agent Information option SHALL echo the entire contents of the Relay Agent Information option  in all replies.”

A few reference idnits need to be fixed too.

  == Missing Reference: 'RFC1035'
  == Unused Reference: 'RFC2434'

  ** Obsolete normative reference: RFC 2434 (Obsoleted by RFC 5226)

  -- Possible downref: Non-RFC normative reference: ref. 'ANI'
  -- Possible downref: Non-RFC normative reference: ref. 'SMI'
  -- Possible downref: Non-RFC normative reference: ref. 'TS23003'
  -- Possible downref: Non-RFC normative reference: ref. 'TS23203'
  -- Possible downref: Non-RFC normative reference: ref. 'TS23402'

Regards,

Sheng

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Monday, April 21, 2014 9:28 PM
To: [email-masked]
Subject: [dhcwg] Reminder - WGLC for draft-ietf-dhc-access-network-identifier-02 - respond by April 27, 2014

-        Bernie

From: Bernie Volz (volz)

Thanks,

Bernie & Tomek